Faqs

List FAQs

Retrieve a paginated list of faqs. Returns FAQ data including question, answer. Results are filtered by the organization associated with the API key.

GET
/v1/faqs

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication for API access.

In: header

Query Parameters

page?integer

Page number for pagination

Default1
Range1 <= value
limit?integer

Number of items per page (max 100)

Default50
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://api.sophiie.ai/v1/faqs"
{
  "faqs": [
    {
      "id": 123,
      "question": "What is the question of the FAQ?",
      "answer": "This is the answer of the FAQ",
      "isActive": true
    }
  ],
  "totalPages": 5,
  "currentPage": 1,
  "totalCount": 250
}
{
  "success": false,
  "message": "Invalid or expired token",
  "error": {
    "status": 401,
    "message": "Invalid or expired token"
  }
}
{
  "success": false,
  "message": "Internal server error",
  "error": {
    "status": 500,
    "message": "Internal server error"
  }
}